ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Azwaw OUSADOU (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-6485) hbase.regionserver.global.memstore.lowerLimit and hbase.regionserver.global.memstore.upperLimit are deprecated
Date Mon, 28 Jul 2014 10:31:39 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-6485?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Azwaw OUSADOU updated AMBARI-6485:
----------------------------------

    Attachment: TRUNK-OUTPUT-TEST.txt
                AMBARI-6485-OUTPUT-TEST.txt
                AMBARI-6485.diff

BUILD and install on centos 6 :
mvn versions:set -DnewVersion=${AMBARI_VERSION}
mvn -B clean install package rpm:rpm -DnewVersion=${AMBARI_VERSION} -DskipTests -Dpython.ver="python
>= 2.6" -Preplaceurl

on ambari-server :

copy ambari-server/target/rpm/ambari-server/RPMS/noarch/ambari-server-*.noarch.rpm on server
with root access right : yum install ambari-server-*.noarch.rpm

on ambari-agents (3 servers used for test) :

copy ambari-agent/target/rpm/ambari-agent/RPMS/x86_64/ambari-agent-*.rpm on each servers
with root access right : yum install ambari-agent-*.noarch.rpm

TEST :

 - Deploy an empty Ambari Cluster with 3 RegionServers
 - Choose Hadoop stack version >= 2.0.0
 - At step "Customise Services" of installer, check Advanced parameters in HBase tab :
     * hbase.regionserver.global.memstore.size with value 0.4
     * hbase.regionserver.global.memstore.size.lower.limit with value 0.95
 - If you have empty settings in HBase tab clean your cache and reload page
 - Change this value to 0.5 and 0.90 and finish installation
 - When regionservers started check on each RegionServer /etc/hbase/conf/hbase-site.xml :
     * hbase.regionserver.global.memstore.size value must be 0.5
     * hbase.regionserver.global.memstore.size.lower.limit value must be 0.90
 - When installation done change parameters to 0.45 and 0.94, save changes and restart regionservers
 - check on each RegionServer /etc/hbase/conf/hbase-site.xml :
     * hbase.regionserver.global.memstore.size value must be 0.45
     * hbase.regionserver.global.memstore.size.lower.limit value must be 0.94

 - Deploy an empty Ambari Cluster with 3 RegionServers
 - Choose Hadoop stack version < 2.0.0
 - At step "Customise Services" of installer, check Advanced parameters in HBase tab :
     * hbase.regionserver.global.memstore.upperLimit with value 0.4
     * hbase.regionserver.global.memstore.lowerLimit with value 0.38
 - If you have empty settings in HBase tab clean your cache and reload page
 - Change this value to 0.5 and 0.4 and finish installation
 - When regionservers started check on each RegionServer /etc/hbase/conf/hbase-site.xml :
     * hbase.regionserver.global.memstore.upperLimit value must be 0.5
     * hbase.regionserver.global.memstore.lowerLimit value must be 0.4
 - When installation done change parameters to 0.45 and 0.39, save changes and restart regionservers
 - check on each RegionServer /etc/hbase/conf/hbase-site.xml :
     * hbase.regionserver.global.memstore.size value must be 0.45
     * hbase.regionserver.global.memstore.size.lower.limit value must be 0.39

OUTPUT of mvn clean test :
- Without my patch : TRUNK-OUTPUT-TEST.txt
- With my patch AMBARI-6485-OUTPUT-TEST.txt


> hbase.regionserver.global.memstore.lowerLimit and hbase.regionserver.global.memstore.upperLimit
are deprecated
> --------------------------------------------------------------------------------------------------------------
>
>                 Key: AMBARI-6485
>                 URL: https://issues.apache.org/jira/browse/AMBARI-6485
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 1.7.0
>            Reporter: Azwaw OUSADOU
>              Labels: patch
>             Fix For: 1.7.0
>
>         Attachments: AMBARI-6485-OUTPUT-TEST.txt, AMBARI-6485.diff, DEPRECATED_OPTS.diff,
TRUNK-OUTPUT-TEST.txt
>
>
> On new hbase version, hbase.regionserver.global.memstore.lowerLimit changed to hbase.regionserver.global.memstore.size.lower.limit
and hbase.regionserver.global.memstore.upperLimit changed to hbase.regionserver.global.memstore.size.
> This patch changes these parameters for Hadoop stacks >= 2.0.0



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message